Skip to main content
`Ctrl`+`K`

# PCFactorReorderForNonzeroDiagonal

reorders rows/columns of matrix to remove zeros from diagonal

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorReorderForNonzeroDiagonal(PC pc, PetscReal rtol)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- rtol - diagonal entries smaller than this in absolute value are considered zero

## Options Database Key

- -pc_factor_nonzeros_along_diagonal tol - perform the reordering with the given tolerance

## See Also

KSP: Linear System Solvers, `PCILU`, `PCICC`, `PCFactorSetFill()`, `PCFactorSetShiftAmount()`, `PCFactorSetZeroPivot()`, `MatReorderForNonzeroDiagonal()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorReorderForNonzeroDiagonal_ILU() in src/ksp/pc/impls/factor/ilu/ilu.c
PCFactorReorderForNonzeroDiagonal_LU() in src/ksp/pc/impls/factor/lu/lu.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages